SPAMD can't be installed !



  • Hi,

    i just made a new install of the actual PFSENSE. Then i tried to install the Spamd Package
    and get teh following Error:

    Downloading package configuration file… done.
    Saving updated package information... done.
    Downloading spamd and its dependencies... done.
    Checking for successful package installation... failed!

    Installation aborted.

    The System log only says:

    Jan 31 01:40:11 syslogd: kernel boot file is /boot/kernel/kernel
    Jan 31 01:40:11 syslogd: exiting on signal 15
    Jan 31 01:40:10 php: /pkg_mgr_install.php: Beginning package installation for spamd.

    Thats it ! Any idea whats happen here ? Itried it 10 Times , always the same .

    Hope someone can give me the right idea .

    Thanks
    Herb



  • Update  to a recent snapshot.

    http://snapshots.pfsense.com/FreeBSD6/RELENG_1/



  • I updated too the newest one … Still the same Issue !

    The same happen for the NTP Server !?
    The same for pfflowd ?!

    Any other Ideas ?

    @sullrich:

    Update  to a recent snapshot.

    http://snapshots.pfsense.com/FreeBSD6/RELENG_1/



  • Not sure what to tell you, I just installed pfflowd with no issues.

    In /tmp/ here will a package log file.  Please post the contents of it.



  • Here are the content:

    SPAMD:

    cat pkg_mgr_spamd.log

    Beginning package installation.
    Downloading package configuration file…
    Adding text to file /etc/syslog.conf
    spamd-3.7_2 Array
    (
        [0] => tar: Error opening archive: Empty input file: Inappropriate file type or format
        [1] => pkg_add: tar extract of /tmp/apkg_spamd-3.7_2.tbz failed!
        [2] => pkg_add: unable to extract table of contents file from '/tmp/apkg_spamd-3.7_2.tbz' - not a package?
        [3] => pkg_add: 1 package addition(s) failed
    )

    Package WAS NOT installed properly.

    PFFLOWD:

    cat pkg_mgr_pfflowd.log

    Beginning package installation.
    Downloading package configuration file…
    pfflowd-0.6 Array
    (
        [0] => tar: Error opening archive: Empty input file: Inappropriate file type or format
        [1] => pkg_add: tar extract of /tmp/apkg_pfflowd-0.6.tbz failed!
        [2] => pkg_add: unable to extract table of contents file from '/tmp/apkg_pfflowd-0.6.tbz' - not a package?
        [3] => pkg_add: 1 package addition(s) failed
    )

    Package WAS NOT installed properly.

    It seems that there are the wrong extensions ? Shouldnt it be .tgz ?

    @sullrich:

    Not sure what to tell you, I just installed pfflowd with no issues.

    In /tmp/ here will a package log file.  Please post the contents of it.



  • Check DNS, check to make sure that FTP is working correctly from pfSense itself.

    No, it's TBZ:

    http://ftp13.freebsd.org/pub/FreeBSD/ports/i386/packages-6-stable/All/pfflowd-0.6.tbz



  • This box is in a live enviorment and SquidD will not install this is a copy of the logs. This box is on 1.0.1 The isntall is fresh as of today.

    cat pkg_mgr_spamd.log

    Beginning package installation.

    Downloading package configuration file…

    Adding text to file /etc/syslog.conf

    spamd-3.7_3 Array

    (

    [0] => tar: Error opening archive: Empty input file: Inappropriate file type or format

    [1] => pkg_add: tar extract of /tmp/apkg_spamd-3.7_3.tbz failed!

    [2] => pkg_add: unable to extract table of contents file from '/tmp/apkg_spamd-3.7_3.tbz' - not a package?

    [3] => pkg_add: 1 package addition(s) failed

    )

    Package WAS NOT installed properly.


Log in to reply